%define		php_name	php%{?php_suffix}
%define		modname	cvsclient
%define		status		beta
Summary:	%{modname} - CVS pserver client
Summary(pl.UTF-8):	%{modname} - klient CVS pserver
Name:		%{php_name}-pecl-%{modname}
Version:	0.2
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	d25ca6d7797118edf37817fcb7e93bc7
URL:		http://pecl.php.net/package/cvsclient/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pserver client extension. Current version has read-only streams
wrapper. Later versions to include commit/diff/log support.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Moduł klienta CVS pserver. Na chwilę obecną dostępne jest wsparcie
tylko 'read only'. W następnych wersjach planowane jest wsparcie dla
komend commit/diff/log.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-cvsclient.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> d212159
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> bad216c
- release 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 690dfdd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2a1b459
- converted to UTF-8

* Tue Dec 19 2006 Elan Ruusamäe <glen@pld-linux.org> c4ef002
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> b09865d
- rel 5 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 3bae7d3
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> d6e0869
- rel 4 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 7358d30
- rel 3

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 9ba5e0b
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 1cd1af9
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 3176b8b
- added conf.d and php api version

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 4e43d02
- superfluous BR libtool removed

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 5832fbe
- ./adapter -s

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> ac07b93
- fixed english information about status of the package (also s/PEAR/PECL/)

* Thu Apr 15 2004 Adam Gołębiowski <adamg@pld-linux.org> dba799f
- status changed to beta

* Thu Apr 15 2004 Adam Gołębiowski <adamg@pld-linux.org> 9d04154
- updated to 0.2

* Sat Dec 06 2003 Adam Gołębiowski <adamg@pld-linux.org> c69c241
- initial import

